services:

  php8.4:
    tty: true
    build:
      context: .
      args:
        - PHP_VERSION=8.4
    volumes:
      - .:/var/www/html

  php8.3:
    tty: true
    build:
      context: .
      args:
        - PHP_VERSION=8.3
    volumes:
      - .:/var/www/html

  php8.2:
    tty: true
    build:
      context: .
      args:
        - PHP_VERSION=8.2
    volumes:
      - .:/var/www/html

  php8.1:
    tty: true
    build:
      context: .
      args:
        - PHP_VERSION=8.1
    volumes:
      - .:/var/www/html

  php8.0:
    tty: true
    build:
      context: .
      args:
        - PHP_VERSION=8.0
    volumes:
      - .:/var/www/html

  php7.4:
    tty: true
    build:
      context: .
      args:
        - PHP_VERSION=7.4
    volumes:
      - .:/var/www/html

  php7.3:
    tty: true
    build:
      context: .
      args:
        - PHP_VERSION=7.3
    volumes:
      - .:/var/www/html

  php7.2:
    tty: true
    build:
      context: .
      args:
        - PHP_VERSION=7.2
    volumes:
      - .:/var/www/html
